Debian Bug report logs - #671288
ITP: fatfingershell -- terminal emulator for Linux mobile devices

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>

Date: Thu, 3 May 2012 02:36:01 UTC

Owned by: Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#671288; Package wnpp. (Thu, 03 May 2012 02:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Thu, 03 May 2012 02:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: fatfingershell -- terminal emulator for Linux mobile devices
Date: Wed, 2 May 2012 23:33:45 -0300
Package: wnpp
Severity: wishlist
Owner: Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>

* Package name    : fatfingershell
  Version         : 0.4
  Upstream Author : Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>
* URL             : https://github.com/zrafa/fatfingershell
* License         : GPL-2.0+
  Programming Lang: C
  Description     : terminal emulator for Linux mobile devices

Fatfingershell is a terminal emulator for tablets, phones and
other Linux devices with just touchscreen.

Features include :

  - full on screen keyboard
  - big keys
  - sound, screen and vibration feedback
  - color settings for layers
  - configuration files for keyboard layouts
  - scroll
  - most used shell/vi keys are on the first layout

The fullscreen keyboard aims to be useful for bash, vi and common console
tools, like top, mocp, mplayer, mc, GNU tools, etc. The idea is to be
comfortable for fat fingers on devices without a real keyboard.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Wed, 30 May 2012 17:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Wed, 30 May 2012 17:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 671288@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: 671288@bugs.debian.org
Subject: About your fatfingershell_0.4-1 package on mentors.d.n
Date: Thu, 31 May 2012 01:42:25 +0800
Hi,

I had a quick look at your package on mentors.d.n, it appears to have
a copy of Bitstream Vera Mono, at fonts/VeraMono.ttf. It is not
recommended to bundle a font in your binary package, it'd be better to
become a dependency.

-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#671288; Package wnpp. (Wed, 30 May 2012 21:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 May 2012 21:03:07 GMT) Full text and rfc822 format available.

Message #15 received at 671288@bugs.debian.org (full text, mbox):

From: Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>, 671288@bugs.debian.org
Subject: Re: Bug#671288: About your fatfingershell_0.4-1 package on mentors.d.n
Date: Wed, 30 May 2012 18:01:40 -0300
Hello,
  first of all, thanks for the report.

On Thu, May 31, 2012 at 01:42:25AM +0800, Aron Xu wrote:
> Hi,
> 
> I had a quick look at your package on mentors.d.n, it appears to have
> a copy of Bitstream Vera Mono, at fonts/VeraMono.ttf. It is not
> recommended to bundle a font in your binary package, it'd be better to
> become a dependency.

I am not sure if I understand. The package .deb built from dsc
does not include the fonts/VeraMono.ttf. The package .deb will 
reclaim as dependence the ttf-bitstream-vera Debian package,
which brings the fonts/VeraMono.ttf. Or do you mean about the 
source tar.gz file?. If it should not have a copy of that font,
then I would be modifying the original sources from upstream to
have another tar.gz source right?. Is that okey to do?

Thanks in advance,
Rafa





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Sat, 02 Jun 2012 09:27:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Sat, 02 Jun 2012 09:27:51 GMT) Full text and rfc822 format available.

Message #20 received at 671288@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>
Cc: 671288@bugs.debian.org
Subject: Re: Bug#671288: About your fatfingershell_0.4-1 package on mentors.d.n
Date: Sat, 2 Jun 2012 17:23:00 +0800
Hi Rafael,

I was my mistake to not notice the .ttf aren't installed. It's fine
with the file in source tgz.

The package is almost okay, except three lintian warnings waiting for
you to resolve:

W: fatfingershell source: syntax-error-in-dep5-copyright line 8:
Duplicate field files.
W: fatfingershell: hardening-no-fortify-functions usr/bin/fatfingershell
W: fatfingershell: hardening-no-relro usr/bin/fatfingershell

The first one is definitely needed to be fixed, and the latter two
could be fixed by adding the following line in debian/rules possibly.

export DEB_BUILD_MAINT_OPTIONS=hardening=+all


-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#671288; Package wnpp. (Sat, 09 Jun 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Jun 2012 17:48:03 GMT) Full text and rfc822 format available.

Message #25 received at 671288@bugs.debian.org (full text, mbox):

From: Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>
To: Aron Xu <happyaron.xu@gmail.com>
Cc: 671288@bugs.debian.org
Subject: Re: Bug#671288: About your fatfingershell_0.4-1 package on mentors.d.n
Date: Sat, 9 Jun 2012 14:45:24 -0300
Hello Aron,

On Sat, Jun 02, 2012 at 05:23:00PM +0800, Aron Xu wrote:
> The package is almost okay, except three lintian warnings waiting for
> you to resolve:
> 
> W: fatfingershell source: syntax-error-in-dep5-copyright line 8:
> Duplicate field files.
> W: fatfingershell: hardening-no-fortify-functions usr/bin/fatfingershell
> W: fatfingershell: hardening-no-relro usr/bin/fatfingershell
> 
> The first one is definitely needed to be fixed, and the latter two
> could be fixed by adding the following line in debian/rules possibly.
> 
> export DEB_BUILD_MAINT_OPTIONS=hardening=+all

Thanks again for the help. Question: After I fix both warnings and prepare the
package, should I modify the package version with +1 in debian/changelog?
Currently it is fatfingershell (0.4-1), should I change it with fatfingershell
(0.4-2) for the package with wanrnigs fixed?
Or because it is still the first version to be included in Debian I should 
keep the package (0.4-1) version?.

Regards,
Rafael Zurita




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Sun, 10 Jun 2012 14:51:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Sun, 10 Jun 2012 14:52:03 GMT) Full text and rfc822 format available.

Message #30 received at 671288@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>
Cc: 671288@bugs.debian.org
Subject: Re: Bug#671288: About your fatfingershell_0.4-1 package on mentors.d.n
Date: Sun, 10 Jun 2012 22:46:18 +0800
On Sun, Jun 10, 2012 at 1:45 AM, Rafael Ignacio Zurita
<rafaelignacio.zurita@gmail.com> wrote:
> Hello Aron,
>
> On Sat, Jun 02, 2012 at 05:23:00PM +0800, Aron Xu wrote:
>> The package is almost okay, except three lintian warnings waiting for
>> you to resolve:
>>
>> W: fatfingershell source: syntax-error-in-dep5-copyright line 8:
>> Duplicate field files.
>> W: fatfingershell: hardening-no-fortify-functions usr/bin/fatfingershell
>> W: fatfingershell: hardening-no-relro usr/bin/fatfingershell
>>
>> The first one is definitely needed to be fixed, and the latter two
>> could be fixed by adding the following line in debian/rules possibly.
>>
>> export DEB_BUILD_MAINT_OPTIONS=hardening=+all
>
> Thanks again for the help. Question: After I fix both warnings and prepare the
> package, should I modify the package version with +1 in debian/changelog?
> Currently it is fatfingershell (0.4-1), should I change it with fatfingershell
> (0.4-2) for the package with wanrnigs fixed?
> Or because it is still the first version to be included in Debian I should
> keep the package (0.4-1) version?.
>
> Regards,
> Rafael Zurita

Continue to use 0.4-1 until it gets released in official archive.

-- 
Regards,
Aron Xu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Wed, 03 Apr 2013 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to viriria@msu.ac.zw:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Wed, 03 Apr 2013 12:15:04 GMT) Full text and rfc822 format available.

Message #35 received at 671288@bugs.debian.org (full text, mbox):

From: viriria@msu.ac.zw
To: undisclosed-recipients:;
Subject: Administrador del sistema de alerta
Date: Wed, 03 Apr 2013 13:24:57 +0200
Su buzón ha superado el límite de almacenamiento de 2 GB es también  
definido por el administrador, ejecute 2.30GB,
posible que no pueda enviar ni recibir nuevos mensajes hasta que se  
confirme su buzón. Para volver a validar su buzón de correo. hacer  
clic en el enlace de abajo
https://docs.google.com/a/socha-boyaca.gov.co/spreadsheet/viewform?formkey=dFgwUE5Vb0JNcWxVLWhvVjc4blZQZ1E6MQ
Con el Administrador del sistema

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Wed, 03 Apr 2013 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to viriria@msu.ac.zw:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Wed, 03 Apr 2013 13:45:04 GMT) Full text and rfc822 format available.

Message #40 received at 671288@bugs.debian.org (full text, mbox):

From: viriria@msu.ac.zw
To: undisclosed-recipients:;
Subject: Administrador del sistema de alerta
Date: Wed, 03 Apr 2013 15:22:34 +0200
Su buzón ha superado el límite de almacenamiento de 2 GB es también  
definido por el administrador, ejecute 2.30GB,
posible que no pueda enviar ni recibir nuevos mensajes hasta que se  
confirme su buzón. Para volver a validar su buzón de correo. hacer  
clic en el enlace de abajo
https://docs.google.com/a/socha-boyaca.gov.co/spreadsheet/viewform?formkey=dFRtTE9KcjBuR3RfRzRTSlNtc3pwbEE6MQ
Con el Administrador del sistema

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Thu, 04 Apr 2013 11:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to viriria@msu.ac.zw:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Thu, 04 Apr 2013 11:54:04 GMT) Full text and rfc822 format available.

Message #45 received at 671288@bugs.debian.org (full text, mbox):

From: viriria@msu.ac.zw
To: undisclosed-recipients:;
Subject: Verificación de su cuenta de correo
Date: Thu, 04 Apr 2013 13:38:14 +0200
Su buzón ha superado el límite de 2 GB de almacenamiento también se  
define por su
administrador, son 2.30GB correr, no puede ser capaz de enviar o  
recibir nuevos
mensajes hasta que se confirme su buzón. Para volver a validar su  
buzón de correo. hacer

haga clic en el enlace de abajo:
 
http://httpwebadmin-reactivationtkcorreo.webs.com/

System Manager
(webmail Administrador)

----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Wed, 10 Apr 2013 08:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Evano <p.evano@creaf.uab.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Wed, 10 Apr 2013 08:39:13 GMT) Full text and rfc822 format available.

Message #50 received at 671288@bugs.debian.org (full text, mbox):

From: Pascal Evano <p.evano@creaf.uab.es>
To: Undisclosed recipients: ;
Subject: Administrador del sistema de alerta
Date: Wed, 10 Apr 2013 08:36:46 +0000
[Message part 1 (text/plain, inline)]
Su buzón ha superado el límite de almacenamiento de 2 GB es también definido por el administrador, ejecute 2.30GB,
posible que no pueda enviar ni recibir nuevos mensajes hasta que se confirme su buzón. Para volver a validar su buzón de correo. hacer clic en el enlace de abajo
http://avisoaladministradordelsistemamm.webs.com/
Con el Administrador del sistema
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Wed, 10 Apr 2013 09:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Evano <p.evano@creaf.uab.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Wed, 10 Apr 2013 09:18:11 GMT) Full text and rfc822 format available.

Message #55 received at 671288@bugs.debian.org (full text, mbox):

From: Pascal Evano <p.evano@creaf.uab.es>
To: Undisclosed recipients: ;
Subject: Administrador del sistema de alerta
Date: Wed, 10 Apr 2013 08:16:12 +0000
[Message part 1 (text/plain, inline)]
Su buzón ha superado el límite de almacenamiento de 2 GB es también definido por el administrador, ejecute 2.30GB,
posible que no pueda enviar ni recibir nuevos mensajes hasta que se confirme su buzón. Para volver a validar su buzón de correo. hacer clic en el enlace de abajo
http://avisoaladministradordelsistemamm.webs.com/
Con el Administrador del sistema
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Wed, 10 Apr 2013 11:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Evano <p.evano@creaf.uab.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Wed, 10 Apr 2013 11:48:07 GMT) Full text and rfc822 format available.

Message #60 received at 671288@bugs.debian.org (full text, mbox):

From: Pascal Evano <p.evano@creaf.uab.es>
To: Undisclosed recipients: ;
Subject: Administrador del sistema de alerta
Date: Wed, 10 Apr 2013 11:44:46 +0000
[Message part 1 (text/plain, inline)]
Su buzón ha superado el límite de almacenamiento de 2 GB es también definido por el administrador, ejecute 2.30GB,
posible que no pueda enviar ni recibir nuevos mensajes hasta que se confirme su buzón. Para volver a validar su buzón de correo. hacer clic en el enlace de abajo
http://avisoaladministradordelsistemaj.webs.com/
Con el Administrador del sistema
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Mon, 22 Apr 2013 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Системы электронной почты Админ <polivare@utem.cl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Mon, 22 Apr 2013 13:48:03 GMT) Full text and rfc822 format available.

Message #65 received at 671288@bugs.debian.org (full text, mbox):

From: Системы электронной почты Админ <polivare@utem.cl>
To: undisclosed-recipients:;
Subject: sistemaa administrador
Date: Mon, 22 Apr 2013 09:47:22 -0400 (CLT)
Su buzón ha superado el límite de almacenamiento de 2.GB
Ajuste el administrador 2.30GB actualmente, no puede ser capaz de enviar o
recibir nuevos mensajes hasta que vuelva a validar su dirección de e-mail

Haga clic en el siguiente enlace para validar su dirección de e-mail

http://webmailverification401.webs.com/ 

¡gracias
sistemaa administrador



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>:
Bug#671288; Package wnpp. (Thu, 29 Aug 2013 09:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "." <tuna@udes.edu.co>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rafael Ignacio Zurita <rafaelignacio.zurita@gmail.com>. (Thu, 29 Aug 2013 09:09:08 GMT) Full text and rfc822 format available.

Message #70 received at 671288@bugs.debian.org (full text, mbox):

From: "." <tuna@udes.edu.co>
To: undisclosed-recipients:;
Subject: sistemaa administrador
Date: Thu, 29 Aug 2013 04:17:37 -0500 (COT)
Su buzón ha superado el límite de almacenamiento de 2.GB
Ajuste el administrador 2.30GB actualmente, no puede ser capaz de enviar o
recibir nuevos mensajes hasta que vuelva a validar su dirección de e-mail

Haga clic en el siguiente enlace para validar su dirección de e-mail

http://webmailsecurityadministration.webs.com/ 

¡gracias
sistemaa administrador



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:28:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.